From 3c0cd8c099211a066ffd9ec3b121c7aacacf8e65 Mon Sep 17 00:00:00 2001
From: Ricardo Lafuente <r@manufacturaindependente.org>
Date: Jan 22 2024 11:22:24 +0000
Subject: [PATCH 2/17] Merge branch 'main' into website-i18n


---

diff --git a/tests/integration_tests/testing/web_browser.py b/tests/integration_tests/testing/web_browser.py
index 7831b3b..0989f6c 100644
--- a/tests/integration_tests/testing/web_browser.py
+++ b/tests/integration_tests/testing/web_browser.py
@@ -96,15 +96,23 @@ class Browser:
                     self._jsr_options_page = elem.text.split(',')[2].split('=')[1][:-1] + "options.html"
         if self.type == BrowserType.CHROME:
             self.driver.get('chrome://system/')
-            WebDriverWait(self.driver, 10).until(
-                ec.presence_of_element_located((By.ID, 'expandAll'))
-            )
-            self.driver.find_element(By.ID, 'expandAll').click()
+            try:
+                WebDriverWait(self.driver, 2).until(
+                    ec.presence_of_element_located((By.ID, 'expandAll'))
+                )
+                self.driver.find_element(By.ID, 'expandAll').click()
+            except:
+                self.driver.find_elements(By.TAG_NAME, 'system-app')[0].shadow_root.find_elements(By.CSS_SELECTOR, 'button')[0].click()
             sleep(1)
             try:
                 extensions = self.driver.find_element(By.ID, 'div-extensions-value')
             except NoSuchElementException:
-                extensions = self.driver.find_element(By.ID, 'extensions-value')
+                try:
+                    extensions = self.driver.find_element(By.ID, 'extensions-value')
+                except NoSuchElementException:
+                    system_app = self.driver.find_elements(By.TAG_NAME, 'system-app')[0].shadow_root
+                    log_entry = system_app.find_elements(By.CSS_SELECTOR, 'log-entry')[5].shadow_root
+                    extensions = log_entry.find_elements(By.CLASS_NAME, 'stat-value')[0]
             for elem in extensions.text.splitlines():
                 if 'JShelter' in elem:
                     self._jsr_options_page = "chrome-extension://" + elem.split(':')[0][:-1] + "/options.html"

